<html>
<head>
<title>OGRE: Ogre::AlignedAllocator&lt; T, Alignment &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a></div>
<h1>Ogre::AlignedAllocator&lt; T, Alignment &gt; Class Template Reference</h1><!-- doxytag: class="Ogre::AlignedAllocator" -->STL compatible allocator with aligned memory allocate, used for tweak STL containers work with aligned memory.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1AlignedAllocator-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef const <br>
<a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#73334762e95de450d120c4396aa663f1">const_pointer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#438ec4e550d048919e50d830100ad589">reference</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef const <br>
<a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#c80b1aa53316df1b1e23ad2319f83330">const_reference</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::ptrdiff_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#6e5f1812bdd1c3cc366a9be61d36f3b7">difference_type</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#ec0f4e93bb6df7da96d02e6a6aafadfd">AlignedAllocator</a> ()</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename U, unsigned A&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#b46efcba50e776418c69f2baa9433973">AlignedAllocator</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>&lt; U, A &gt; &amp;)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#ccccdf14d5e1b920eb9a3b99a6654872">operator==</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a> &amp;) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#02f073c6d6dcfb5b8588020c52206c28">operator!=</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a> &amp;) const </td></tr>

<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#f4af61f0e92ee45f286e1aac5b1dbb46">address</a> (<a class="el" href="classOgre_1_1AlignedAllocator.html#438ec4e550d048919e50d830100ad589">reference</a> r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1AlignedAllocator.html#73334762e95de450d120c4396aa663f1">const_pointer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#185069b149832d63a6d8669df7433276">address</a> (<a class="el" href="classOgre_1_1AlignedAllocator.html#c80b1aa53316df1b1e23ad2319f83330">const_reference</a> s)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#30e195193b6291bb26dce42cacb7da88">max_size</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#77edf238b487df02dd370e99984c908b">construct</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a> ptr, const <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a> &amp;t)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#0076531fab32f31276450f2a42bc9d32">destroy</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a> ptr)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#f8f92ce7ead18f19b3aeffc31bef6ea0">allocate</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a> n)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#05792d08c02705b3906e3165a0177159">allocate</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a> n, const void *const)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#c1acbd32d09bbbba77495bc10ab68fef">deallocate</a> (const <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a> ptr, const <a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a>)</td></tr>

<tr><td colspan="2"><br><h2>Private Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AlignedAllocator.html#744410498c48c719292cccb5a4e26043">IsValidAlignment</a> [Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment-1))==0)?+1:-1]</td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1AlignedAllocator_1_1rebind.html">rebind</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;typename T, unsigned Alignment = 0&gt;<br>
 class Ogre::AlignedAllocator&lt; T, Alignment &gt;</h3>

STL compatible allocator with aligned memory allocate, used for tweak STL containers work with aligned memory. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class designed for work with STL containers, by use this class instead of std::allocator, the STL containers can work with aligned memory allocate seamless. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>template parameter Alignment equal to zero means use default platform dependent alignment. </dd></dl>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00104">104</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="744410498c48c719292cccb5a4e26043"></a><!-- doxytag: member="Ogre::AlignedAllocator::IsValidAlignment" ref="744410498c48c719292cccb5a4e26043" args="[Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment-1))==0)?+1:-1]" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef int <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#744410498c48c719292cccb5a4e26043">IsValidAlignment</a>[Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment-1))==0)?+1:-1]<code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00108">108</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cf9b59808ec43c8e5902a016dd754096"></a><!-- doxytag: member="Ogre::AlignedAllocator::value_type" ref="cf9b59808ec43c8e5902a016dd754096" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00113">113</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7720aee91eb84fd974a4d132fc205d76"></a><!-- doxytag: member="Ogre::AlignedAllocator::pointer" ref="7720aee91eb84fd974a4d132fc205d76" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a>* <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00115">115</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="73334762e95de450d120c4396aa663f1"></a><!-- doxytag: member="Ogre::AlignedAllocator::const_pointer" ref="73334762e95de450d120c4396aa663f1" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a>* <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#73334762e95de450d120c4396aa663f1">const_pointer</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00116">116</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="438ec4e550d048919e50d830100ad589"></a><!-- doxytag: member="Ogre::AlignedAllocator::reference" ref="438ec4e550d048919e50d830100ad589" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a>&amp; <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#438ec4e550d048919e50d830100ad589">reference</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00117">117</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c80b1aa53316df1b1e23ad2319f83330"></a><!-- doxytag: member="Ogre::AlignedAllocator::const_reference" ref="c80b1aa53316df1b1e23ad2319f83330" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a>&amp; <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#c80b1aa53316df1b1e23ad2319f83330">const_reference</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00118">118</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f8630beb73a7bdb96835bba8a8fac3e7"></a><!-- doxytag: member="Ogre::AlignedAllocator::size_type" ref="f8630beb73a7bdb96835bba8a8fac3e7" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::size_t <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00119">119</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6e5f1812bdd1c3cc366a9be61d36f3b7"></a><!-- doxytag: member="Ogre::AlignedAllocator::difference_type" ref="6e5f1812bdd1c3cc366a9be61d36f3b7" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::ptrdiff_t <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html#6e5f1812bdd1c3cc366a9be61d36f3b7">difference_type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00120">120</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="ec0f4e93bb6df7da96d02e6a6aafadfd"></a><!-- doxytag: member="Ogre::AlignedAllocator::AlignedAllocator" ref="ec0f4e93bb6df7da96d02e6a6aafadfd" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00129">129</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b46efcba50e776418c69f2baa9433973"></a><!-- doxytag: member="Ogre::AlignedAllocator::AlignedAllocator" ref="b46efcba50e776418c69f2baa9433973" args="(const AlignedAllocator&lt; U, A &gt; &amp;)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
<div class="memtemplate">
template&lt;typename U, unsigned A&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>&lt; U, A &gt; &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00137">137</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="f4af61f0e92ee45f286e1aac5b1dbb46"></a><!-- doxytag: member="Ogre::AlignedAllocator::address" ref="f4af61f0e92ee45f286e1aac5b1dbb46" args="(reference r)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a> <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::address           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AlignedAllocator.html#438ec4e550d048919e50d830100ad589">reference</a>&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00143">143</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="185069b149832d63a6d8669df7433276"></a><!-- doxytag: member="Ogre::AlignedAllocator::address" ref="185069b149832d63a6d8669df7433276" args="(const_reference s)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1AlignedAllocator.html#73334762e95de450d120c4396aa663f1">const_pointer</a> <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::address           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AlignedAllocator.html#c80b1aa53316df1b1e23ad2319f83330">const_reference</a>&nbsp;</td>
          <td class="paramname"> <em>s</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00145">145</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="30e195193b6291bb26dce42cacb7da88"></a><!-- doxytag: member="Ogre::AlignedAllocator::max_size" ref="30e195193b6291bb26dce42cacb7da88" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a> <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::max_size           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00147">147</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="77edf238b487df02dd370e99984c908b"></a><!-- doxytag: member="Ogre::AlignedAllocator::construct" ref="77edf238b487df02dd370e99984c908b" args="(const pointer ptr, const value_type &amp;t)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::construct           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a>&nbsp;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>t</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00149">149</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0076531fab32f31276450f2a42bc9d32"></a><!-- doxytag: member="Ogre::AlignedAllocator::destroy" ref="0076531fab32f31276450f2a42bc9d32" args="(const pointer ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::destroy           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a>&nbsp;</td>
          <td class="paramname"> <em>ptr</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00151">151</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ccccdf14d5e1b920eb9a3b99a6654872"></a><!-- doxytag: member="Ogre::AlignedAllocator::operator==" ref="ccccdf14d5e1b920eb9a3b99a6654872" args="(const AlignedAllocator &amp;) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>&lt; T, Alignment &gt; &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00157">157</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="02f073c6d6dcfb5b8588020c52206c28"></a><!-- doxytag: member="Ogre::AlignedAllocator::operator!=" ref="02f073c6d6dcfb5b8588020c52206c28" args="(const AlignedAllocator &amp;) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>&lt; T, Alignment &gt; &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00159">159</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f8f92ce7ead18f19b3aeffc31bef6ea0"></a><!-- doxytag: member="Ogre::AlignedAllocator::allocate" ref="f8f92ce7ead18f19b3aeffc31bef6ea0" args="(const size_type n)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a> <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::allocate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a>&nbsp;</td>
          <td class="paramname"> <em>n</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00162">162</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1AlignedMemory.html#215ddaa2cf45c92ec39560dd43bed7b6">Ogre::AlignedMemory::allocate()</a>.</p>

<p>Referenced by <a class="el" href="OgreAlignedAllocator_8h-source.html#l00170">Ogre::AlignedAllocator&lt; T, Alignment &gt;::allocate()</a>.</p>

</div>
</div><p>
<a class="anchor" name="05792d08c02705b3906e3165a0177159"></a><!-- doxytag: member="Ogre::AlignedAllocator::allocate" ref="05792d08c02705b3906e3165a0177159" args="(const size_type n, const void *const)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a> <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::allocate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a>&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>const</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00170">170</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

<p>References <a class="el" href="OgreAlignedAllocator_8h-source.html#l00162">Ogre::AlignedAllocator&lt; T, Alignment &gt;::allocate()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c1acbd32d09bbbba77495bc10ab68fef"></a><!-- doxytag: member="Ogre::AlignedAllocator::deallocate" ref="c1acbd32d09bbbba77495bc10ab68fef" args="(const pointer ptr, const size_type)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::deallocate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a>&nbsp;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const &nbsp;</td>
          <td class="paramname"> <em>size_type</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00174">174</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1AlignedMemory.html#ec9665c128b282869284a6025520adee">Ogre::AlignedMemory::deallocate()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
